﻿SELECT [PROCESS_KEY]
      ,convert(varchar, [PROCESS_ID]) [PROCESS_ID]
      ,[SYSTEM_SOURCE]
      ,[USR_ID]
      ,convert(varchar, [SEQ_NO]) [SEQ_NO]
      ,convert(varchar, [TRANS_ID]) [TRANS_ID]
      ,convert(varchar, [HEADER_INDEX]) [HEADER_INDEX]
      ,convert(varchar, [POSTING_DT], 104) [POSTING_DT]
      ,convert(varchar, [DOC_DT], 104) [DOC_DT]
      ,convert(varchar, [PROCESS_DT], 104) [PROCESS_DT]
      ,[REF_NO]
      ,[MOVEMENT_TYPE]
      ,[SPECIAL_STOCK_TYPE]
      ,[MAT_DOC_DESC]
      ,[IM_PERIOD]
      ,[IM_YEAR]
      ,[KANBAN_ORDER_NO]
      ,[PROD_PURPOSE_CD]
      ,[SOURCE_TYPE]
      ,[MAT_NO]
      ,[ORI_MAT_NO]
      ,[MAT_DESC]
      ,convert(varchar, [POSTING_QUANTITY]) [POSTING_QUANTITY]
      ,[PART_COLOR_SFX]
      ,[PACKING_TYPE]
      ,[UNIT_OF_MEASURE_CD]
      ,[ORI_UNIT_OF_MEASURE_CD]
      ,[BATCH_NO]
      ,[COIL_MAT_NO]
      ,convert(varchar, [COIL_QTY]) [COIL_QTY]
      ,[PLANT_CD]
      ,[SLOC_CD]
      ,[DOCK_CD]
      ,[MAT_CURR]
      ,[VALUATION_CLASS]
      ,[PRICE_CALCULATION_TYPE]
      ,convert(varchar, [ACTUAL_EXCHANGE_RATE]) [ACTUAL_EXCHANGE_RATE]
      ,[CASE_EXPLOSION_FLAG]
      ,[SUPP_CD]
      ,[ORI_SUPP_CD]
      ,[PO_NO]
      ,[PO_DOC_TYPE]
      ,convert(varchar, [PO_DOC_DT], 104) [PO_DOC_DT]
      ,[PO_ITEM_NO]
      ,convert(varchar, [PO_MAT_PRICE]) [PO_MAT_PRICE]
      ,[PO_CURR]
      ,convert(varchar, [PO_EXCHANGE_RATE]) [PO_EXCHANGE_RATE]
      ,convert(varchar, [GR_ORI_AMOUNT]) [GR_ORI_AMOUNT]
      ,convert(varchar, [GR_LOCAL_AMOUNT]) [GR_LOCAL_AMOUNT]
      ,[PO_UNLIMITED_FLAG]
      ,convert(varchar, [PO_TOLERANCE_PERCENTAGE]) [PO_TOLERANCE_PERCENTAGE]
      ,[PO_TAX_CD]
      ,[PO_INV_WO_GR_FLAG]
      ,[LIV_SPECIAL_TYPE]
      ,[LIV_SPECIAL_MAT_NO]
      ,[SPECIAL_STOCK_VALUATION_FLAG]
      ,[DELETION_FLAG]
      ,[GR_LEVEL]
      ,[RECEIVE_NO]
      ,[MAT_COMPLETE_FLAG]
      ,[AUTO_CREATED_FLAG]
      ,[REF_PROD_PURPOSE_CD]
      ,[REF_SOURCE_TYPE]
      ,[REF_MAT_NO]
      ,[REF_PLANT_CD]
      ,[REF_SLOC_CD]
      ,[SPECIAL_PROCUREMENT_TYPE_CD]
      ,[RAW_MATERIAL_FLAG]
      ,[DN_COMPLETE_FLAG]
      ,[REF_CANCEL_MAT_DOC_NO]
      ,[REF_CANCEL_MAT_DOC_YEAR]
      ,convert(varchar, [REF_CANCEL_MAT_DOC_ITEM_NO]) [REF_CANCEL_MAT_DOC_ITEM_NO]
      ,[INT_KANBAN_FLAG]
      ,convert(varchar, [ARRIVAL_PLAN_DT], 104) [ARRIVAL_PLAN_DT]
      ,convert(varchar, [OTHER_PROCESS_ID]) [OTHER_PROCESS_ID]
      ,[COMP_PRICE_CD_1]
      ,convert(varchar, [COMP_PRICE_AMOUNT_1]) [COMP_PRICE_AMOUNT_1]
      ,[COMP_PRICE_CD_2]
      ,convert(varchar, [COMP_PRICE_AMOUNT_2]) [COMP_PRICE_AMOUNT_2]
      ,[COMP_PRICE_CD_3]
      ,convert(varchar, [COMP_PRICE_AMOUNT_3]) [COMP_PRICE_AMOUNT_3]
      ,[COMP_PRICE_CD_4]
      ,convert(varchar, [COMP_PRICE_AMOUNT_4]) [COMP_PRICE_AMOUNT_4]
      ,[COMP_PRICE_CD_5]
      ,convert(varchar, [COMP_PRICE_AMOUNT_5]) [COMP_PRICE_AMOUNT_5]
      ,[COMPLETE_FLAG]
      ,[REMARK_1]
      ,[REMARK_2]
      ,[PROCESS_STS]
      ,convert(varchar, [STANDARD_PRICE]) [STANDARD_PRICE]
      ,[VIN]
      ,[CREATED_BY]
      ,convert(varchar, [CREATED_DT], 104) [CREATED_DT]
      ,[CHANGED_BY]
      ,convert(varchar, [CHANGED_DT], 104) [CHANGED_DT]
  FROM [dbo].[TB_T_GOOD_RECEIVE]
   WHERE ISNULL(SEND_FLAG, 'N') = 'N'
	AND SYSTEM_SOURCE = @type